@import '../../../providers/theme-provider/default-theme/index.scss';
.container {
  position: relative;
  margin-bottom: 10px;
  min-width: 200px;
}
.textContainer {
  border: 1px solid $color-gray;
  padding: 8px;
  cursor: pointer;
  border-radius: 8px;
  display: flex;
  align-items: center;
  justify-content: space-between;
}
.text {
  font-size: 0.7em;
}
.disabled {
  color: gray;
  background-color: #f1f1f1;
  cursor: not-allowed;
}

.boxContainer {
  position: absolute;
  top: 100%;
  right: 0;
  left: 0;
  background: white;
  z-index: 1;
  border: 1px solid $color-gray;
  border-radius: 8px;
  margin-top: 3px;
  box-shadow: 1px 1px 6px $color-gray;
  max-height: 160px;
  overflow: auto;
}

.optionItem {
  padding: 8px;
  border-bottom: 1px solid $color-gray;
  font-size: 0.7em;
  display: flex;
  align-items: center;
  &:hover {
    background-color: $color-gray;
    cursor: pointer;
    transition: all 0.3s;
  }
  &:last-child {
    border-bottom: none;
  }
}

.icon {
}
